%define kdename kmag
%define	version 0.1
%define release 6mdk

Name: %{kdename}
Summary: Magnifying glass utility
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
Group: Toys
Copyright: GPL
BuildRoot: /var/tmp/%{name}-buildroot
Requires: qt kdelibs

%description
Magnifying glass utility for the K Desktop Environment.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
libtoolize --force
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --with-install-root=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make KDEDIR=$KDEDIR "MAKE=make -k -j $SMP"; exit 0)
  make KDEDIR=$KDEDIR
else
  make KDEDIR=$KDEDIR
fi

%install
make prefix=$RPM_BUILD_ROOT/usr install

# (fg) Menu entry - FIXME: a better category needs to be found
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat >$RPM_BUILD_ROOT/usr/lib/menu/kmag <<EOF
?package(kmag): command="/usr/bin/kmag" needs="X11" \
icon="kmag.xpm" section="Amusement/Toys" \
title="Magnyfing glass" longtitle="KDE utility which enables you \
to enlarge parts of your desktop"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%files 
%defattr(-,root,root,755)
/usr/bin/kmag
/usr/lib/menu/kmag
%dir /usr/share/icons
/usr/share/icons/kmag.xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/kmag.xpm
%dir /usr/share/locale/*/LC_MESSAGES
/usr/share/locale/*/LC_MESSAGES/kmag.mo

%changelog

* Tue Mar 28 2000 Francis Galiegue <fg@mandrakesoft.com> 0.1-6mdk

- File list update
- %post* scripts update
- Menu entry update

* Thu Mar 16 2000 Francis Galiegue <francis@mandrakesoft.com>

- Don't use prefix - too much hassle
- Added menu entry
- Changed group to match 7.1 specs
- Spec file reworks

* Thu Jan 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Libtoolize --force.

* Tue Nov 23 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.

